/**
 * @file demo api for BackgroundAudioManager.onEnded
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
Page({
    onShow() {
        const backgroundAudioManager = swan.getBackgroundAudioManager();
        backgroundAudioManager.title = '演员';
        backgroundAudioManager.epname = '演员';
        backgroundAudioManager.singer = '薛之谦';
        backgroundAudioManager.coverImgUrl = 'http://c.hiphotos.baidu.com/super/pic/item/8b13632762d0f703e34c0f6304fa513d2797c597.jpg';
        backgroundAudioManager.onEnded(function(res) {
            console.log('backgroundAudioManager.onEnded', res)
            swan.showModal({
                title: 'onEnded success',
                content: JSON.stringify(res)
            })
        });
        this.backgroundAudioManager = backgroundAudioManager;
        this.backgroundAudioManager.src = 'http://vd3.bdstatic.com/mda-ic7mxzt5cvz6f4y5/mda-ic7mxzt5cvz6f4y5.mp3';
        this.backgroundAudioManager.duration = 20;
        this.backgroundAudioManager.play();
    },
    seek() {
        this.backgroundAudioManager.seek(255);
    }
});