/**
 * @file demo api for RecorderManager
 * @author swan
 */

/* globals Page, swan */

/* eslint-disable */

Page({
    onShow() {
        const recorderManager = swan.getRecorderManager()
        console.log(recorderManager)
        recorderManager.onStart(function() {
            // 开始录音事件
            console.log('recorder start')
        });
        recorderManager.onPause(function() {
            // 暂停录音事件
            console.log('recorder pause')
        });
        recorderManager.onStop(function(res) {
            // 停止录音事件
            console.log('recorder stop', res)
            const { tempFilePath } = res
        });

        const options = {
            duration: 10000,
            sampleRate: 44100,
            numberOfChannels: 1,
            encodeBitRate: 96000,
            format: 'aac'
        };

        recorderManager.start(options);
        // recorderManager.stop();
        // recorderManager.resume();
        // recorderManager.pause();
        this.recorderManager = recorderManager;
    }
});