Page({
    onShow() {
        const voiceRecognizer = swan.ai.getVoiceRecognizer();

        voiceRecognizer.onStart(() => {
            console.log('voice start');
        });
        voiceRecognizer.onRecognize(res => {
            console.log('voice recognize', res);
        });
        voiceRecognizer.onFinish(res => {
            console.log('voice end', res);
        });
        voiceRecognizer.onError(err => {
            console.log('voice error', err);
        });

        const options = {
            mode: 'dnn',
            longSpeech: false
        };

        voiceRecognizer.start(options);
    }
})