/**
 * @file fragment for voiceRecognizer.onRecognize
 * @author swan
 */

/* globals Page, swan */
/* eslint-disable */
Page({
    /* eslint-disable */
    data: {
        result: ''
    },
    voiceRecognizerStart() {
        swan.showToast({
            title: '开始识别',
            icon: 'none'
        });
        const voiceRecognizer = swan.ai.getVoiceRecognizer();

        voiceRecognizer.onRecognize(res => {
            console.log('voice recognize', res.result);
            this.setData('result', res.result);
        });
        
        const options = {
            mode: 'dnn',
            // mode: 'touch',
            // longSpeech: true
            longSpeech: false

        };

        voiceRecognizer.start(options);
    }
});