/**
 * @file fragment api for abortDownloadTask
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
Page({
    /* eslint-enable */
    data: {
        disabled: true
    },
    onShow() {
    },
    downloadFile() {
        this.setData({ disabled: false})
        const downloadTask = swan.downloadFile({
            url: 'https://smartprogram.baidu.com/docs/img/file-simple.pdf',
            header: {
                'content-type': 'application/json'
            },
            success: res =>{
                console.log(res.tempFilePath);
                swan.showToast({
                    title: '下载成功',
                    icon: 'none'
                });
            },
            fail: err => {
                swan.showToast({
                    title: '下载失败',
                    icon: 'none'
                });
                console.log('错误码：' + err.errCode);
                console.log('错误信息：' + err.errMsg);
            }
        });
        this.downloadTask = downloadTask;
    },
    abortDownloadTask() {
        swan.showModal({
            title: 'title',
            content: '已断掉'
        });
        this.downloadTask.abort();
    }
});