/**
 * @file fragment api for abortRequestTask
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
Page({
    /* eslint-enable */
    data: {
        disabled: true
    },
    onShow() {
    },
    request() {
        const requestTask = swan.request({
            url: 'https://sfc.baidu.com/shopping/nianhuo/bimai', // 仅为示例，并非真实的接口地址
            header: {
                'content-type': 'application/json'
            },
            method: 'POST',
            dataType: 'json',
            responseType: 'text',
            success: res => {
                swan.showToast({
                    title: '已请求',
                    icon: 'none'
                });
                console.log(res.data);
                this.setData('disabled', false);
            },
            fail: err => {
                console.log('错误码：' + err.errCode);
                console.log('错误信息：' + err.errMsg);
            }
        });
        this.requestTask = requestTask;
    },
    abortRequestTask() {
        this.requestTask.abort();
        swan.showToast({
            title: '已断掉',
            icon: 'none'
        });
    }
});
