/**
 * @file fragment api for downloadTask
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
Page({
    /* eslint-enable */
    data: { },
    downloadTask() {
        const downloadTask = swan.downloadFile({
            url: 'https://smartprogram.baidu.com/docs/img/file-simple.pdf',
            header: {
                'content-type': 'application/json'
            },
            success: res => {
                console.log(res.tempFilePath);
            },
            fail: err => {
                console.log('错误码：' + err.errCode);
                console.log('错误信息：' + err.errMsg);
            },
            complete: () => {

            }
        });
        console.log('res', downloadTask);
        swan.showModal({
            title: '创建' + downloadTask._reqId,
            content: JSON.stringify(downloadTask)
        });
    }
});
