/**
 * @file fragment for faceLivenessSessioncode
 * @author swan
 */

/* globals Page, swan */
/* eslint-disable */
Page({
    /* eslint-enable */
    faceLivenessSessioncode() {
        swan.ai.faceLivenessSessioncode({
            appid: 'xxx', // 百度云创建应用时的唯一标识 ID
            success(res) {
                console.log('ai.faceLivenessSessioncode success', res);
                swan.showModal({
                    title: '五分钟内语音验证码会失效',
                    content: 'session_id为' + JSON.stringify(res.result.session_id)
                    + '，语音校验码为' + JSON.stringify(res.result.code)
                });
            },
            fail(err) {
                console.log('ai.faceLivenessSessioncode fail', err);
            }
        });
    }
});
