/**
 * @file fragment api for offAppHide
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
Page({
    /* eslint-enable */
    data: {},
    onLoad: function () {
        swan.onAppHide(function (res) {
            console.log(res);
            swan.showModal({
                title: 'res',
                content: JSON.stringify(res),
                showCancel: false
            });
        });
    },
    onShow() {
        // 在App onShow后约3秒取消事件监听（仅做功能示例，开发者可根据业务逻辑选择取消监听时机）
        setTimeout(() => {
            swan.offAppHide();
            console.log('此后将不再触发swan.onAppHide回调');
            swan.showModal({
                title: '',
                content: '此后将不再触发swan.onAppHide回调'
            });
        }, 3000);
    }
});
