/**
 * @file fragment api for offAppShow
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
Page({
    /* eslint-enable */
    data: {},
    onLoad: function () {
        swan.onAppShow(function(res) {
            console.log('scene', res.scene);
            console.log('path', res.path);
            console.log('query', res.query);
            swan.showModal({
                title: 'res',
                content: JSON.stringify(res),
                showCancel: false
            });
        });
    },
    onShow() {
        // 在App onShow后约3秒取消事件监听（仅做功能示例，开发者可根据业务逻辑选择取消监听时机）
        setTimeout(() => {
            swan.offAppShow();
            console.log('此后将不会触发swan.onAppShow回调');
            swan.showModal({
                title: '',
                content: '此后将不会触发swan.onAppShow回调'
            });
        }, 3000)
    }
});
