/**
 * @file fragment api for offError
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
Page({
    /* eslint-enable */
    data: {},
    onLoad: function () {
        swan.onError(function(errMsg) {
            console.log(errMsg);
            swan.showModal({
                title: '',
                content: JSON.stringify(errMsg)
            });
        });
    },
    // 例如在appHide时取消监听，可根据业务逻辑选择取消监听时机
    // 在App onShow后约3秒取消事件监听（仅做功能示例，开发者可根据业务逻辑选择取消监听时机）  
    onShow() {
        setTimeout(function() {
            swan.offError();
            swan.showModal({
                title: '',
                content: '此后点击按钮触发报错，将不会触发swan.onError事件.'
            });
        }, 3000);
    },
    onTap() {
        swan.showToast({
            title: '已触发',
            icon: 'none'
        });
        // 触发报错
        console.log(a);
    }
});
