/**
 * @file fragment api for onPageNotFound
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
Page({
    /* eslint-enable */
    data: {},
    onTap() {
        swan.navigateTo({
            url: '/path/to/otherPage'
        });
        swan.onPageNotFound(function(res) {
            console.log('onPageNotFound success',res);
            swan.showModal({
                title: '',
                content: JSON.stringify(res)
            });
            // 如果将要跳转到的页面属于 tabbar 的某一页面，请使用 swan.switchTab 进行跳转
            // Do something
            // 页面不存在时，默认跳转到首页
            swan.navigateTo({
                url: '/home/home',
                success: res => {
                    swan.offPageNotFound();
                },
                fail: err => {
                    console.log('navigateTo fail');
                }
            });
        });
    }
});
