/**
 * @file fragment api for onSocketOpen
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
Page({
    /* eslint-enable */
    onSocketOpen() {
        swan.onSocketOpen(function (res) {
            swan.showToast({
                title: '监听到WebSocket连接已打开',
                icon: 'none'
            })
            console.log('WebSocket连接已打开！', res);
        });

        swan.connectSocket({
            url: 'wss://echo.websocket.org',
            header: {},
            success: res => {
                console.log('connectSocket success', res);
            },
            fail: err => {
                console.log('connectSocket fail', err);
            }
        });
    }
});