Page({
    saveFile() {
        // 先把服务器上文件下载下来生成临时文件路径，再保存到本地,不支持网络路径
        swan.downloadFile({
            header: {
                'Cache-Control': 'no-cache'
            },
            url: 'https://smartprogram.baidu.com/docs/img/file-simple.pdf',
            success: res => {
                console.log('临时文件路径:', res);
                swan.saveFile({
                    tempFilePath: res.tempFilePath,
                    success: res => {
                        console.log('保存到的路径是：', res.savedFilePath);
                        swan.showModal({
                            title: '保存成功',
                            content: '保存到的路径是：' + res.savedFilePath
                        });
                    },
                    fail: err => {
                        swan.showToast({
                            title: '保存失败'
                        });
                    }
                });
            },
        })
    }
})