/**
 * @file demo api for createSelectorQuery
 * @author swan
 */
/* globals Page, swan */

Page({
    data: {
        appear: false
    },
    onReady() {
        const IntersectionObserver = swan.createIntersectionObserver(this);
        IntersectionObserver.relativeTo('.scroll-view').observe('.ball', res => {
            console.log('observe', res)
            this.setData('appear', res.intersectionRatio > 0);
        });
        this.IntersectionObserver = IntersectionObserver;
    },
    onUnload() {
        this.IntersectionObserver && this.IntersectionObserver.disconnect();
    }
});
