/**
 * @file demo api for addPhoneContact
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
let app = getApp();

Page({
    /* eslint-enable */
    data: {
        name: '查号台',
        phone: '114'
    },
    onLoad(e) {
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams, 
                type: 'api',
                name: 'addPhoneContact',
            });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    inputName(e) {
        this.setData('name', e.detail.value);
    },
    inputNumber(e) {
        this.setData('phone', e.detail.value);
    },
    addPhoneContact() {
        const {name, phone} = this.getData();

        swan.addPhoneContact({
            firstName: name,
            middleName: '',
            photoFilePath: '',
            nickName: '',
            lastName: '',
            middleName: '',
            remark: '',
            mobilePhoneNumber: phone,
            weChatNumber: '',
            addressCountry: '',
            addressState: '',
            addressCity: '',
            addressStreet: '',
            addressPostalCode: '',
            organization: '',
            title: '',
            workFaxNumber: '',
            workPhoneNumber: '',
            hostNumber: '',
            email: '',
            url: '',
            workAddressCountry: '',
            workAddressState: '',
            workAddressCity: '',
            workAddressStreet: '',
            workAddressPostalCode: '',
            homeFaxNumber: '',
            homePhoneNumber: '',
            homeAddressCountry: '',
            homeAddressState: '',
            homeAddressCity: '',
            homeAddressStreet: '',
            homeAddressPostalCode: '',
            success: res =>  {
                console.log('addPhoneContact success', res);
                swan.showToast({
                    title: '联系人创建成功',
                    icon: 'none'
                });
            },
            fail: err => {
                console.log('addPhoneContact fail', err);
                swan.showToast({
                    title: '联系人创建失败',
                    icon: 'none'
                });
            }
        });
    }
});
