/**
 * @file demo component for button
 * @author swan
 */

let app = getApp();

Page({
    onLoad(e) {
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'component',
                name: 'button',
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    onShareAppMessage() {
        return {
            title: '小程序标题',
            content: '世界很复杂，百度更懂你',
            imageUrl: 'http://imgsrc.baidu.com/forum/pic/item/d9f9d72a6059252daecdfc36309b033b5bb5b92e.jpg',
            path: '/pages/openShare/openShare',
            success: res =>  {
                // 分享成功
            },
            fail: err => {
                // 分享失败
            }
        };
    },
    getUserInfo(e) {
        console.log('用户信息:', e);
    },
    opensetting(e) {
        console.log('用户设置:', e);
    },
    getPhoneNumber(e) {
        console.log('用户手机号:', e);
    },
    contact(e) {
        console.log('用户面板:', e);
    },
    tap() {
        swan.showToast({
            title: '已点击',
            icon: 'none'
        });
    }
});
