/**
 * @file demo component for camera-scan-code
 * @author swan
 */

let app = getApp();

Page({
    data: {
        type: '',
        result: ''
    },
    onLoad(e) {
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'component',
                name: 'camera-scan-code',
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    navigateBack: function () {
        swan.navigateTo({
            url: '/pages/camera/camera'
        });
    },
    scanCode: function () {
        const that = this;
        swan.scanCode({
            success: res => {
                that.setData({
                    type: res.scanType,
                    result: res.result
                });
                swan.showModal({
                    content: that.getData('type')
                });
            },
            fail: function () {
                swan.showModal({
                    content: 'fail'
                });
            }
        });
    }
});