/**
 * @file demo component for checkbox
 * @author swan
 */

let app = getApp();

Page({
    data: {
        items: [
            {
                value: 'China',
                text: '中国',
                id: '1'
            },
            {
                value: 'US',
                text: '美国',
                id: '2'
            },
            {
                value: 'Britain',
                text: '英国',
                checked: true,
                id: '3'
            }
        ],
        result: []
    },
    onLoad(e) {
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'component',
                name: 'checkbox',
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    checkboxChange: e => {
        console.log(e.detail);
    }
});
