/**
 * @file demo api for getExtConfig
 * @author swan
 */
/* globals Page, swan */

let app = getApp();

Page({
    data: {
    },
    onLoad(e) {
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'getExtConfig',
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    getExtConfig() {
        swan.getExtConfig({
            success: res =>  {
                console.log('自定义的数据', res.extConfig);
                swan.showToast({
                    title: 'api调用成功，但需请求携带三方数据的server接口',
                    icon: 'none'
                }) 
            },
            fail: err => {
                console.log('scanCode fail', err);
                swan.showToast({
                    title: '获取失败',
                    icon: 'none'
                })
            }
        });
    }
});
