/**
 * @file demo api for getMenuButtonBoundingClientRect
 * @author swan
 */
/* globals Page, swan */
Page({
    data: {
        result: '',
        infoList: [{
            chinaName: '高度',
            engName: 'height', 
            value: ''
        }, {
            chinaName: '宽度',
            engName: 'width', 
            value: ''
        }, {
            chinaName: '距下',
            engName: 'bottom', 
            value: ''
        }, {
            chinaName: '距左',
            engName: 'left', 
            value: ''
        }, {
            chinaName: '距右',
            engName: 'right', 
            value: ''
        }, {
            chinaName: '距上',
            engName: 'top', 
            value: ''
        }]
    },
    getMenuButtonBoundingClientRect() {
        try {
            const result = swan.getMenuButtonBoundingClientRect();
            console.log('getMenuButtonBoundingClientRect success', result);
            this.updateInfoList(result);
        } catch (err) {
            console.log('getMenuButtonBoundingClientRect fail', err);
        }
    },

    updateInfoList(res) {
        let infoList = this.getData('infoList');
        for (let i = 0; i < infoList.length; ++i) {
            if (res[infoList[i].engName] === '') {
                infoList[i].value = '暂无';
            } else {
                infoList[i].value = res[infoList[i].engName]+ "px";
            }
        }
        this.setData('infoList', infoList);
    }
});
