/**
 * @file demo api for getPhoneNumber
 * @author swan
 */
/* globals Page, swan */

let app = getApp();

Page({
    data: {
        phoneNumber: ''
    },
    onLoad(e) {

    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'getPhoneNumber',
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    getPhoneNumber() {
        swan.getPhoneNumber({
            success: res => {
                console.log('页面展示mock数据，真实数据需要揭解密后得到');
                console.log('getPhoneNumber success', res);
                this.setData('phoneNumber', '1573216xxxx');
                swan.showModal({
                    title: 'success',
                    content: JSON.stringify(res)
                });
            },
            fail: err => {
                console.log('getPhoneNumber fail', err);
                swan.showModal({
                    title: 'fail',
                    content: JSON.stringify(err)
                });
            },
            complete: () => {
                console.log('getPhoneNumber complete');
            }
        });
    }
});

