

let app = getApp();

Page({
    data: {
        hasLogin: false
    },
    onLoad(e) {
    },
    onShow() {
        this.setData({
            autoFocus: true
        });
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'login',
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    login(e) {
        swan.checkSession({
            success: res => {
                console.log('checkSession', res);
                swan.showToast({
                    title: '您已登录'
                });
            },
            fail: err => {
                console.log('checkSession', err);
                swan.login({
                    success: res => {
                        console.log('login', res);
                        swan.showToast({
                            title: '登录成功'
                        });
                    },
                    fail: err => {
                        console.log('login', err);
                        swan.showToast({
                            title: '登录失败',
                            icon: 'none'
                        });
                    }
                });
            }
        });
    }
});
