/**
 * @file demo api for onMemoryWarning
 * @author swan
 */
/* globals Page, swan */

let app = getApp();

Page({
    data: {
        data: '内存充足',
        hasMemory: true
    },
    onLoad(e) {
        swan.onMemoryWarning(function (res) {
            console.log('onMemoryWarningReceive', res);
            if(res[level] === 10){
                this.setData('data', '内存不足')
            }
        });
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'onMemoryWarning',
           });
        }
        swan.onMemoryWarning(function (res) {
            console.log('onMemoryWarningReceive', res);
        });
    },
    onHide() {
        getApp().globalData.openParams = ''
    }
});
