/**
 * @file demo page for onUserCaptureScreen
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
let app = getApp();

Page({
    /* eslint-enable */
    data: {
        count: 0
    },
    onLoad(e) {
        swan.onUserCaptureScreen(res => {
            const count = this.getData('count');
            this.setData('count', count + 1);
        });
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'onUserCaptureScreen',
            });
        }
    }
});
