/**
 * @file demo api for openSetting
 * @author swan
 */
/* globals Page, swan */

let app = getApp();

Page({
    data: {
        title: 'get/openSetting'
    },

    onLoad(e) {
    },

    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'openSetting',
           });
        }
    },

    onHide() {
        getApp().globalData.openParams = ''
    },

    getSetting(){
        swan.getSetting({
            success: (res) => {
              console.log(res)
              this.setData({setting: res.authSetting})
            }
        })
    },
    
    openSetting() {
        swan.openSetting({
            success: function (res) {
                console.log('openSetting success', res.authSetting);
            },
            fail: function (err) {
                console.log('openSetting fail', err);
            }
        });
    }
});
