/**
 * @file demo page for scanCode
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
let app = getApp();

Page({
    /* eslint-enable */
    data: {
        result: true,
        infoList: [{
            engName: 'result',
            chinaName: '内容',
            value: ''
        }, {
            engName: 'scanType',
            chinaName: '类型',
            value: ''
        },
        {
            engName: 'charSet',
            chinaName: '字符集',
            value: ''
        }
        ]
    },
    scanCode() {
        swan.scanCode({
            success: res => {
                this.setData('result', false);
                console.log('scanCode success', res);
                this.updateInfoList(res);
            },
            fail: err => {
                console.log('scanCode fail', err);
            }
        });
    },
    clearClick() {
        this.updateInfoList({});
    },
    updateInfoList(res) {
        let infoList = this.getData('infoList');
        for (let i = 0; i < infoList.length; ++i) {
            if (res[infoList[i].engName] === '') {
                infoList[i].value = '暂无';
            } else {
                infoList[i].value = res[infoList[i].engName];
            }
        }
        this.setData('infoList', infoList);
    }
});
