/**
 * @file demo api for setNavigationBarColor
 * @author swan
 */
/* globals Page, swan */

let app = getApp();

Page({
    data: {
       
    },
    onLoad(e) {
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'setNavigationBarColor',
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    setNavigationBarColor() {
        swan.setNavigationBarColor({
            frontColor: '#ffffff',
            backgroundColor: '#3C76FF',
            animation: {
                duration: 500,
                timingFunc: 'linear'
            },
            success: res => {
                console.log('setNavigationBarColor success');
            },
            fail: err => {
                console.log('setNavigationBarColor fail', err);
            }
        });
    }
});
