/**
* @file demo component for tabs
 * @author swan
 */

/* globals Page, swan */
/* eslint-disable */

Page({
    /* eslint-enable */
    data: {
        tabs: [
            {
                name: 'beijing',
                label: '北京'
            },
            {
                name: 'shanghai',
                label: '上海'
            },
            {
                name: 'guangzhou',
                label: '广州'
            }
        ]
    },
    onLoad(query) {
        if (query.city) {
            // 如果页面加载的时候，query是预期的，则不需要调用 swan.setURLQuery
            // 请求页面数据
        }
        else {
            swan.setURLQuery({
                city: 'shanghai'
            });
        }
    },
    // 监听函数，点击切换 tabs 组件或者调用 swan.setURLQuery 时，url 发生变化自动触发
    onURLQueryChange({newURLQuery, oldURLQuery}) {
        console.log(newURLQuery, oldURLQuery);
        // 此时tab切换，刷新tabs下方视图数据
    }
});