/**
 * @file demo api for MapContextGetCenterLocation
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
Page({
    /* eslint-disable */
    data: { },
    onReady() {
        this.mapContext = swan.createMapContext('myMap');
    },
    getCenterLocation: function () {
        this.mapContext.getCenterLocation({
            success: function (res) {
                swan.showModal({
                    title: '位置信息',
                    content: (res.longitude).toFixed(2) + '/' + (res.latitude).toFixed(2)
                });
                console.log("经度", res.longitude);
                console.log("纬度", res.latitude);
            }
        })
    }
});
