
Page({
    data: { },
    onReady() {
        this.mapContext = swan.createMapContext('myMap');
    },
    getCenterLocation: function () {
        this.mapContext.getCenterLocation({
            success: function (res) {
                swan.showModal({
                    title: '位置信息',
                    content: (res.longitude).toFixed(2) + '/' + (res.latitude).toFixed(2)
                });
                console.log("经度", res.longitude);
                console.log("纬度", res.latitude);
            }
        })
    },
    includePointsOne: function () {
        this.mapContext.includePoints({
            padding: [10],
            points: [{
                latitude: 23,
                longitude: 113.33,
            }, {
                latitude: 23,
                longitude: 113.3345211,
            }],
            success: function (res) {
                console.log(res)
            },
            fail: function (err) {
                    
            }
        })  
    },
    includePointsTwo: function() {
        this.mapContext.includePoints({
            padding: [10],
            points: [{
                latitude: 39.91,
                longitude: 106.40,
            }, {
                latitude: 41,
                longitude: 120,
            }],
            success: function (res) {
                console.log(res)
            },
            fail: function (err) {
                    
            }
        })
    }
});
