Page({
    data: {
        result: ''
    },
    voiceRecognizerStart() {

        const voiceRecognizer = swan.ai.getVoiceRecognizer();

        voiceRecognizer.onStart(res => {
            swan.showToast({
                title: '开始识别',
                icon: 'none'
            });
        });

        voiceRecognizer.onRecognize(res => {
            console.log('voice recognize', res.result);
            this.setData('result', res.result);
        });

        const options = {
            mode: 'touch',
            longSpeech: true
        };

        voiceRecognizer.start(options);
        this.voiceRecognizer = voiceRecognizer;
    },
    voiceRecognizerCancel() {
        this.voiceRecognizer.cancel()
        this.setData('result', '');
    }
})