/**
 * @file fragment api for abortUploadTask
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
Page({
    /* eslint-enable */
    data: {
        disabled: true
    },
    onShow() {
    },
    uploadFile() {
        this.setData({ disabled: false})
        swan.chooseImage({
            success: res => {
                const uploadTask = swan.uploadFile({
                    url: 'https://smartprogram.baidu.com/mappconsole/api/checkFile', 
                    filePath: res.tempFilePaths[0],
                    name: 'myfile',
                    header: {
                        'content-type': 'application/json'
                    },
                    formData: {
                        'user': 'test'
                    },
                    success: res => {
                        swan.showModal({
                            title: 'title',
                            content: "上传成功"
                        });
                        console.log('uploadFile success', res);
                        this.setData({filePath});
                    },
                    fail: err => {
                        console.log('fail', err);
                        swan.showToast({
                            title: '上传失败',
                            icon: none
                        });
                    },
                    complete() {
                        console.log('complete');
                    }
                });
                this.uploadTask = uploadTask;
            }
        })
    },
    abortUploadTask() {
        this.uploadTask.abort();
        swan.showModal({
            title: 'title',
            content: "已断掉"
        });
    }
});
