/**
 * @file demo api for connectSocket
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
Page({
    /* eslint-enable */
    connectSocket() {
        swan.connectSocket({
            url: 'wss://echo.websocket.org',
            success: res => {
                swan.showToast({
                    title: 'websocket 连接成功',
                    icon: 'none'
                });
                console.log('connectSocket success', res);
            },
            fail: err => {
                swan.showModal({
                    title: 'websocket 连接失败',
                    content: JSON.stringify(err)
                });
                console.log('connectSocket fail', err);
            }
        })
    } 
});
