/**
 * @file demo component for getFileInfo
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
Page({
    /* eslint-disable */
    data: { },
    getFileInfo() {
        swan.downloadFile({
            header: {
                'Cache-Control': 'no-cache'
            },
            url: 'https://smartprogram.baidu.com/docs/img/file-simple.pdf',
            success: res => {
                swan.getFileInfo({
                    filePath: res.tempFilePath,
                    success: res => {
                        console.log('getFileInfo success', res);
                        swan.showModal({
                            title: 'getFileInfo success',
                            content: JSON.stringify(res)
                        });
                    },
                    fail: err => {
                        console.log('getFileInfo fail', err);
                        swan.showModal({
                            title: 'getFileInfo fail',
                            content: JSON.stringify(err)
                        });
                    }
                });
            }
        });
    }
});
