/**
 * @file fragment api for offPageNotFound
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
Page({
    /* eslint-enable */
    data: {},
    onLoad: function () {
        swan.onPageNotFound(function (res) {
            console.log(res);
            swan.showModal({
                title: '',
                content: JSON.stringify(res)
            });
        });
    },
    onShow() {
        // 在App onShow后约3秒取消事件监听（仅做功能示例，开发者可根据业务逻辑选择取消监听时机）
        setTimeout(() => {
            swan.offPageNotFound();
            swan.showModal({
                title: '',
                content: '此后将不再触发swan.onPageNotFound回调'
            });
        }, 3000);
    },
    onTap() {
        swan.navigateTo({
            url: '/path/to/otherPage'
        });
    }
});
