/**
 * @file fragment api for onSocketClose
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
Page({
    onSocketClose() {
        this.setData('disabled', true)
        swan.onSocketOpen(function () {
            swan.closeSocket();
        });
        let that = this;
        swan.onSocketClose(function (res) {
            that.setData('disabled', false)
            swan.showToast({
                title: '监听到WebSocket已关闭',
                icon: 'none'
            });
            console.log('监听到WebSocket已关闭');
        })

        swan.connectSocket({
            url: 'wss://echo.websocket.org',
            header: {},
            success: function (res) {
                console.log('connectSocket success', res);
            },
            fail: function (err) {
                console.log('connectSocket fail', err);
            }
        });
    }
});
