/**
 * @file fragment api for onSocketError
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
Page({
    /* eslint-enable */
    onSocketError() {
        swan.onSocketError(function (res) {
            swan.showModal({
                title: '监听到webSocket连接出错，请检查！',
                content: JSON.stringify(res)
            });
            console.log('WebSocket连接打开出错，请检查！', res);
        });

        swan.connectSocket({
            url: 'wss://xxx.websocket',
            header: {},
            success: res => {
                console.log('connectSocket success', res);
            },
            fail: err => {
                console.log('connectSocket fail', err);
            }
        });
    }
});