/**
 * @file fragment api for onSocketOpen
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
Page({
    /* eslint-enable */
    data: { },
    requestTask() {
        const requestTask = swan.request({
            url: 'https://sfc.baidu.com/shopping/nianhuo/bimai',
            header: {
                'content-type': 'application/json'
            },
            method: 'POST',
            dataType: 'json',
            responseType: 'text',
            data: {
                tabname: '美食酒水'
            },
            success: res => {

            },
            fail: err => {
                swan.showToast({
                    title: '创建失败',
                    icon: 'none'
                });
                console.log('request fail', err);
            },
            complete: () => {
                console.log('request complete');
            }
        });
        console.log('res', requestTask);
        swan.showModal({
            title: '创建' + requestTask._reqId,
            content: JSON.stringify(requestTask)
        });
    }
});
