
/**
 * @file fragment api for socketTaskOnError
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
Page({
    /* eslint-enable */
    data: {},
    socketTaskOnError() {
        const socketTask = swan.connectSocket({
            url: 'wss://xxx.websocket',
            header: {},
            success: function (res) {
                console.log('connectSocket success', res.socketTaskId)
            },
            fail: function (err) {
                console.log('connectSocket fail', err);
            }
        });
        socketTask.onError(function (res) {
            console.log('socketTask.onError success', res);
            swan.showModal({
                title: '监听错误发送事件成功',
                content: JSON.stringify(res)
            });
        });
        this.socketTask = socketTask;
    }
});
