
/**
 * @file fragment api for socketTaskOnOpen
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
Page({
    /* eslint-enable */
    data: {
        
    },
    socketTaskOnOpen() {
        const socketTask = swan.connectSocket({
            url: 'wss://echo.websocket.org',
            header: {},
            success: function (res) {
                console.log('connectSocket success', res.socketTaskId)
            },
            fail: function (err) {
                console.log('connectSocket fail', err);
            }
        });
        socketTask.onOpen(function (res) {
            console.log('socketTask.onOpen success', res);
            swan.showModal({
                title: 'title',
                content: '监听打开事件成功'
            });
        });
        this.socketTask = socketTask;
    }
});
