/**
 * @file fragment api for uploadTask
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
Page({
    /* eslint-enable */
    data: { 
    },
    uploadTask() {
        const uploadTask = swan.uploadFile({
            url: 'https://smartprogram.baidu.com/mappconsole/api/checkFile', 
            filePath: "http://127.0.0.1:8199/program/29acd176e8e8fc95c065…e8fc95c065789eddb01303-0/tmp/1572939723264529.png",
            name: 'myfile',
            header: {
                'content-type': 'application/json'
            },
            formData: {
                'user': 'test'
            },
            success: res => {
                swan.showToast({
                    title: '上传成功',
                    icon: 'none'
                });
                console.log('uploadFile success', res);
                this.setData({filePath});
            },
            fail: err => {
                console.log('fail', err);
                swan.showToast({
                    title: '上传失败',
                    icon: none
                });
            },
            complete() {
                console.log('complete');
            }
        });
        console.log('res', uploadTask);
        swan.showModal({
            title: '创建' + uploadTask._reqId,
            content: JSON.stringify(uploadTask)
        });
    }
});
