/**
 * @file demo component for animation-view
 * @author swan
 */

let app = getApp();

Page({
    data: {
        action: 'play',
        loop: true,
        hidden: false,
        autoplay: true,
        path: '/anims/lottie_example.json',
        status: '停止'
    },
    onLoad(e) {
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'component',
                name: 'animation-view',
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    playLottie() {
        // 切换播放状态
        let action = this.data.action;
        action = action === 'pause' ? 'play' : 'pause';
        let status = action === 'pause' ? '播放' : '停止';
        this.setData({
            action,
            status
        });
    },
    end() {
        console.log('播放结束,设置不循环播放才能再次触发');
    }
});
