/**
 * @file demo api for canIUse
 * @author swan
 */
/* globals Page, swan */

let app = getApp();

Page({
    data: {
    },
    onLoad(e) {
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'canIUse',
           });
        }
    },
    canIUse(e) {
        let canIuseResult = swan.canIUse(e.currentTarget.dataset.name);
        swan.showToast({
            title: JSON.stringify(canIuseResult),
            icon: 'none'
        })
        console.log('view.hover-class', swan.canIUse('view.hover-class'));
        console.log('canIUse:scroll-view.scroll-x', swan.canIUse('scroll-view.scroll-x'));
        console.log('canIUse:cover-view', swan.canIUse('cover-view'));
        console.log('canIUse:button.size.default', swan.canIUse('view.button.size.default'));
        console.log('canIUse:request.object.success.data', swan.canIUse('request.object.success.data'));
        console.log('canIUse:getSavedFileList', swan.canIUse('getSavedFileList'));
        console.log('canIUse:getSavedFileList.object', swan.canIUse('getSavedFileList.object'));
        console.log('canIUse:getSavedFileList.object.success', swan.canIUse('getSavedFileList.object.success'));
    }
});
