/**
 * @file demo api for chooseAddress
 * @author swan
 */
/* globals Page, swan */
/* eslint-disable */
let app = getApp();

Page({
    /* eslint-enable */
    data: {
        list: [{chinaName: '收货人姓名', engName: 'userName', value: ''},
        {chinaName: '邮政编码', engName: 'postalCode', value: ''},
        {chinaName: '联系电话', engName: 'telNumber', value: ''},
        {chinaName: '详细地址', engName: 'detailInfo', value: ''},
        {chinaName: '国家码', engName: 'nationalCode', value: ''},
        {chinaName: '第一地址', engName: 'provinceName', value: ''},
        {chinaName: '第一地址码', engName: 'provinceCode', value: ''},
        {chinaName: '第二地址', engName: 'cityName', value: ''},
        {chinaName: '第二地址码', engName: 'cityCode', value: ''},
        {chinaName: '第三地址', engName: 'countyName', value: ''},
        {chinaName: '第三地址码', engName: 'countyCode', value: ''},
        {chinaName: '第四地址', engName: 'townName', value: ''},
        {chinaName: '第四地址码', engName: 'townCode', value: ''}]
    },
    onLoad(e) {
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'chooseAddress',
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    chooseAddress() {
        swan.chooseAddress({
            success: res => {
                console.log('res', res);
                let list = this.getData('list');
                for (var i = 0; i < list.length; i++) {
                    if (res[list[i].engName] === '') {
                        list[i].value = '暂无';
                    } else {
                        list[i].value = res[list[i].engName];
                    }
                }
                this.setData({list});
            },
            fail: err => {
                console.log(err);
            }
        });
    }
});