/**
 * @file demo api for chooseInvoiceTitle
 * @author swan
 */
/* globals Page, swan */
/* eslint-disable */
let app = getApp();

Page({
    /* eslint-enable */
    data: {
        nvoiceTitle: null
    },
    onLoad(e) {
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'chooseInvoiceTitle',
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    chooseInvoiceTitle: function () {
        swan.chooseInvoiceTitle({
            success: res => {
                console.log(res);
                if (res.type === 0) {
                    res.type = '单位';
                } else {
                    res.type = '个人';
                }

                this.setData({
                    nvoiceTitle: res
                });
            },
            fail: err => {
                console.log(err);
            }
        });
    }
});