/**
 * @file demo api for showModal
 * @author swan
 */
/* globals Page, swan */

let app = getApp();

Page({
    data: {
    },
    onLoad(e) {
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'showModal',
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    showModal() {
        swan.showModal({
            title: '标题',
            content: '提示内容、告知状态、信息和解决方法，描述尽量控制在两行内',
            showCancel: false
        });
    },

    showModalNotitle() {
        swan.showModal({
            content: '提示内容、告知状态、信息和解决方法，描述尽量控制在两行内',
            confirmText: '确定',
            cancelText: '取消'
        });
    }
});
