/**
 * @file demo component for navigateTo
 * @author swan
 */

let app = getApp();

Page({
    data: {
        title: 'navigateTo/Back,redirectTo'
    },
    onLoad(e) {
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'component',
                name: 'navigateTo',
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    navigateTo(e) {
        swan.navigateTo({
            url: '/pages/detail/detail?id=新页面'
        });
    },

    navigateBack(e) {
        swan.navigateBack({
            delta: 2
        });
    },

    redirectTo(e) {
        swan.redirectTo({
            url: '/pages/detail/detail?id=当前页'
        });
    },

    switchTab() {
        swan.switchTab({url: '/pages/api/api'})
    },
    
    reLaunch() {
        swan.reLaunch({url: '/pages/api/api'})
    }
});
