/**
 * @file demo api for navigationBarLoading
 * @author swan
 */
/* globals Page, swan */

let app = getApp();

Page({
    data: {
        title: 'navigationBarLoading'
    },
    onLoad(e) {
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'navigationBarLoading',
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    showNavigationBarLoading(e) {
        swan.showNavigationBarLoading();
    },

    hideNavigationBarLoading(e) {
        swan.hideNavigationBarLoading();
    }
});
