/**
* @file demo component for tabs
 * @author swan
 */

/* globals Page, swan */
/* eslint-disable */

let app = getApp();
/* eslint-disable */

Page({
    data: {
        tabs: [
            {
                name: 'beijing',
                label: '北京',
                badgeType: 'dot'
            },
            {
                name: 'shanghai',
                label: '上海' ,
                badgeType: 'text',
                badgeText: '66'
            },
            {
                name: 'guangzhou',
                label: '广州'
            }
        ]
    },
    onShow() {
        // 打点操作
        var openParams = app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'component',
                name: 'tabs',
            });
        }
    },
    onHide() {
        getApp().globalData.openParams = '';
    },
    onTabClick(e) {
        console.log(e.detail.name);
        this.setData({
            activeName: e.detail.name,
        });
    }
});

