/**
 * @file demo api for saveVideoToPhotosAlbum
 * @author swan
 */
/* globals Page, swan */

let app = getApp();

Page({
    data: {
        src: 'http://upos-hz-mirrorks3u.acgvideo.com/upgcxcode/28/42/86654228/86654228-1-6.mp4?e=ig8euxZM2rNcNbRM7WdVhoM17wUVhwdEto8g5X10ugNcXBB_&deadline=1568817544&gen=playurl&nbs=1&oi=1032300881&os=ks3u&platform=html5&trid=2fe67642577a486f99577b6ff9d30322&uipk=5&upsig=fa2f28f59ded38722ff6554a24bf02d3&uparams=e,deadline,gen,nbs,oi,os,platform,trid,uipk&mid=0'
    },
    onLoad(e) {
    },

    onShow() {
        var openParams = app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'saveVideoToPhotosAlbum',
            });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    saveVideoToPhotosAlbum() {

        swan.downloadFile({
            // 仅为示例，并非真实的资源
            url: 'http://upos-hz-mirrorks3u.acgvideo.com/upgcxcode/28/42/86654228/86654228-1-6.mp4?e=ig8euxZM2rNcNbRM7WdVhoM17wUVhwdEto8g5X10ugNcXBB_&deadline=1568817544&gen=playurl&nbs=1&oi=1032300881&os=ks3u&platform=html5&trid=2fe67642577a486f99577b6ff9d30322&uipk=5&upsig=fa2f28f59ded38722ff6554a24bf02d3&uparams=e,deadline,gen,nbs,oi,os,platform,trid,uipk&mid=0',
            header: {
                'content-type': 'application/json'
            },
            success: res => {
                let src = this.getData('src');
                swan.saveVideoToPhotosAlbum({
                    filePath: src,
                    success: res => {
                        swan.showToast({
                            title: '保存成功',
                            icon: 'none'
                        });
                        console.log('saveVideoToPhotosAlbum success', res);
                    },
                    fail: err => {
                        swan.showToast({
                            title: 'fail',
                            icon: 'none'
                        });
                        console.log('保存失败');
                    }
                });
            },
            fail: err => {
                console.log('错误码：' + err.errCode);
                console.log('错误信息：' + err.errMsg);
            }
        });


        // swan.chooseVideo({
        //     sourceType: ['album', 'camera'],
        //     compressed: false,
        //     success: res => {
               
    //         },
    //         fail: err => {
    //             console.log('fail', err);
    //         }
    //     });
    }
});
