/**
 * @file demo api for showActionSheet
 * @author swan
 */
/* globals Page, swan */

let app = getApp();

Page({
    data: {
    },
    onLoad(e) {
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'showActionSheet',
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    showActionSheet() {
        swan.showActionSheet({
            itemList: ['选项一', '选项二', '选项三', '选项四'],
            itemColor: '#333',
            success: res => {
                console.log('用户点击了第' + (res.tapIndex + 1) + '个按钮');
            }
        });
    }
});
