/**
 * @file demo component for textarea
 * @author swan
 */
/* globals Page, swan */
let app = getApp();

Page({
    data: {
        height: 1,
        focus: true
    },
    onLoad(e) {
    },
    onShow() {
        var openParams = app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'component',
                name: 'textarea',
            });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    bindFocusTap() {
        this.setData('focus', true);
    },
    bindfocus(e) {
        console.log('focus - e:', e);
    },
    bindInput(e) {
        console.log('input - e:', e);
    },
    bindLineChange(e) {
        console.log('linechange - e:', e);
    },
    bindblur(e) {
        console.log('blur - e:', e);
    },
    bindConfirm(e){
        console.log('confirm - e:', e);
    }
});
