/**
 * @file demo api for showToast
 * @author swan
 */
/* globals Page, swan */

let app = getApp();

Page({
    data: {
    },
    onLoad(e) {
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'showToast',
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = '';
        swan.hideToast();
    },

    showToast() {
        swan.showToast({
            title: '默认'
        });
    },

    showToastIcon() {
        swan.showToast({
            title: 'success',
            icon: 'success'
        });
    },

    showToastLoading() {
        swan.showToast({
            mask: true,
            title: '正在加载...',
            icon: 'loading'
        });
    },

    hideToast() {
        swan.hideToast();
    },

    hideLoading() {
        swan.hideLoading();
    },

    showToastDuration() {
        swan.showToast({
            duration: 5000,
            title: 'duration 5000'
        });
    }
});
