/**
 * @file demo api for vibrateLong
 * @author swan
 */
/* globals Page, swan */

/* eslint-disable */
let app = getApp();

Page({
    /* eslint-enable */
    onLoad(e) {
    },
    onShow() {
        // 打点操作
        var openParams= app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'api',
                name: 'vibrateLong/Short',
           });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
    vibrateLong() {
        swan.vibrateLong({
            success: res =>  {
                console.log('vibrateLong success', res);
            },
            fail: err => {
                console.log('vibrateLong fail', err);
            }
        });
    },
    vibrateShort() {
        swan.vibrateShort({
            success: res =>  {
                console.log('vibrateShort success', res);
            },
            fail: err => {
                console.log('vibrateShort fail', err);
            }
        });
    }
});
