/**
 * @file demo component for webview
 * @author swan
 */


let app = getApp();

Page({
    data: {
        src: 'https://smartprogram.baidu.com'
    },
    onLoad(e) {
    },
    onShow() {
        // 打点操作
        var openParams = app.globalData.openParams;
        if (openParams) {
            swan.reportAnalytics('pageshow', {
                fr: openParams,
                type: 'component',
                name: 'webview',
            });
        }
    },
    onHide() {
        getApp().globalData.openParams = ''
    },
   //接收H5页传过来的参数
    onShareAppMessage(options) {
        console.log(options.webViewUrl);
    }
});